Opened 2 years ago

Closed 2 years ago

#1983 closed Enhancement (fixed)

faciltate SETTE tests by reducing number of compilations

Reported by: clevy Owned by:
Priority: normal Milestone: Unscheduled
Component: env Version: trunk
Severity: minor Keywords: SETTE
Cc:

Description

Context

The sequence of SETTE tests is executed using SETTE/sette.sh script.
Since more options are now defined at execution time rather than through cpp keys, some of the compilations of sette.sh are now redundant.

Analysis

The redundant compilations (makenemo commands in sette.sh) hav been suppressed and the report modified accordingly. Since the time (end of the year) is to intensive use of these tests, I have temporarily added these new scripts aside the old ones, e.g. the SETTE directory contains
sette.sh and new_sette.sh (the later is the lighter one, with less compiatins)
sette.rpt.sh and new_sette_rpt.sh

Recommendation

Once the new scripts will have been used and checked by all, replace the previous sette.sh and sette_rpt.sh by the new ones

Commit History (6)

ChangesetAuthorTimeChangeLog
8864lovato2017-11-30T18:42:43+01:00

trunk : fix test report for SAS, print to screen branchname and revision tag (#1983)

8852clevy2017-11-30T09:52:36+01:00

improve SETTE report reliability , ticket #1983

8849clevy2017-11-29T17:56:35+01:00

correct SAS check and AGRIF test, ticket #1983

8839clevy2017-11-28T16:56:25+01:00

take in account AGRIF code corruption test and add nn_fsbc =1 for SAS, ticket #1983

8828clevy2017-11-27T18:19:02+01:00

simplify running SETTE tests, back tu complete list of tests in new_sette.sh ticket #1983

8827clevy2017-11-27T18:13:57+01:00

simplify running SETTE tests, ticket #1983

Change History (3)

comment:1 Changed 2 years ago by nemo

  • Keywords Misc. added

comment:2 Changed 2 years ago by nemo

  • Keywords Misc. removed

comment:3 Changed 2 years ago by clevy

  • Resolution set to fixed
  • Severity set to blocker
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.